AWS
action CloudWatch

# disable_rule

Disables a CloudWatch rule

Run it now
View details

Type | action
Module | chaosaws.cloudwatch.actions
Name | disable_rule
Return | mapping

Usage

JSON

    {
      "name": "disable-rule",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.cloudwatch.actions",
        "func": "disable_rule",
        "arguments": {
          "rule_name": ""
        }
      }
    }

YAML

    name: disable-rule
    provider:
      arguments:
        rule_name: ""
      func: disable_rule
      module: chaosaws.cloudwatch.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
rule_name | string |  | Yes | Rule Name | Name of the rule to disable

Signature

    def disable_rule(rule_name: str,
                     configuration: Dict[str, Dict[str, str]] = None,
                     secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action CloudWatch

  ## `put_metric_data`

  Publish metric data points to CloudWatch
- AWS
  probe CloudWatch

  ## `get_metric_data`

  Gets metric data for a given metric in a given time period. This method allows for more data to be retrieved than get_metric_statistics
- AWS
  probe CloudWatch

  ## `get_metric_statistics`

  Get the value of a statistical calculation for a given metric